package com.seer.teach.pay.admin.sys.convert;

import com.seer.teach.pay.admin.sys.controller.req.AdminCoinConfigReq;
import com.seer.teach.pay.admin.sys.controller.resp.AdminCoinConfigResp;
import com.seer.teach.pay.entity.CoinConfigEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AdminCoinConfigConvert {

    AdminCoinConfigConvert INSTANCE = Mappers.getMapper(AdminCoinConfigConvert.class);

    AdminCoinConfigResp convertOne(CoinConfigEntity coinConfigEntity);

    List<AdminCoinConfigResp> list(List<CoinConfigEntity> coinConfigEntities);

    CoinConfigEntity req2entity(AdminCoinConfigReq coinConfigReq);
}
